GnuParser (Commons CLI 1.2 API)
Keywords: org.apache.commons.cli.GnuParser class

Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.cli
Class GnuParser

    java.lang.Object
      org.apache.commons.cli.Parser
          org.apache.commons.cli.GnuParser

All Implemented Interfaces:
  CommandLineParser

    public class GnuParser

extends Parser

The class GnuParser provides an implementation of the `flatten` method.

Version:
  $Revision: 680644 $, $Date: 2008-07-29 01:13:48 -0700 (Tue, 29 Jul 2008) $
Author:
  John Keyes (john at integralsource.com)

Field Summary

Fields inherited from class org.apache.commons.cli.Parser
`cmd`

Constructor Summary
`GnuParser()`

Method Summary
`protected String[]` | `flatten(Options options, String[] arguments, boolean stopAtNonOption)` This flatten method does so using the following rules: If an `Option` exists for the first character of the `arguments` entry AND an `Option` does not exist for the whole `argument` then add the first character as an option to the processed tokens list e.g.

Methods inherited from class org.apache.commons.cli.Parser
`checkRequiredOptions, getOptions, getRequiredOptions, parse, parse, parse, parse, processArgs, processOption, processProperties, setOptions`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GnuParser

    public GnuParser()

Method Detail

### flatten

    protected String[] flatten(Options options,
                               String[] arguments,
                               boolean stopAtNonOption)

  This flatten method does so using the following rules:
  1. If an `Option` exists for the first character of the `arguments` entry AND an `Option` does not exist for the whole `argument` then add the first character as an option to the processed tokens list e.g. "-D" and add the rest of the entry to the also.
  2. Otherwise just add the token to the processed tokens list.

  Specified by:
    `flatten` in class `Parser`
  Parameters:
    `options` - The Options to parse the arguments by.
    `arguments` - The arguments that have to be flattened.
    `stopAtNonOption` - specifies whether to stop flattening when a non option has been encountered
  Returns:
    a String array of the flattened arguments

Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2009 The Apache Software Foundation. All Rights Reserved.